Retrieve list of exchange orders
curl --request GET \
--url https://external.dev.onboardpay.co/exchange/api/orders \
--header 'x-auth-token: <api-key>'import requests
url = "https://external.dev.onboardpay.co/exchange/api/orders"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://external.dev.onboardpay.co/exchange/api/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cexOrderId": 2,
"apiKey": "<string>",
"lastWebhookSentAt": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "0165359005113074501885",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerName": "John Doe",
"offer": {
"partnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rate": 0.32,
"networkId": "TRC20",
"token": "USDT",
"tokenAmount": 120.5,
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fiatSymbol": "NGN",
"fiatAmount": 120.5,
"partnerDisplayName": "John Doe"
},
"escrowAddress": 1.2869144918162796e+48,
"paymentChannelId": "BANK_TRANSFER_NIGERIA",
"paymentMethod": {},
"buyerPaymentMethod": {},
"customerWallet": {
"walletAddress": 0,
"networkId": "bsc_testnet",
"walletName": "My Trust Wallet"
},
"tokenAddress": 0,
"createdAt": "2023-11-07T05:31:56Z",
"initiatedAt": "2023-11-07T05:31:56Z",
"depositedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"lockHash": "null",
"confirmationHash": "null",
"cancellationHash": "null"
}
],
"pageNumber": 123,
"pageSize": 123,
"totalPages": 123,
"totalOrders": 123
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}{
"code": "UNKNOWN_ERROR",
"message": "Request could not be completed due to an error",
"data": {}
}Orders
Get a User's Orders
GET
/
exchange
/
api
/
orders
Retrieve list of exchange orders
Fetches a paginated list of all orders associated with a user or account, providing visibility into historical and ongoing trades.
Authorizations
Query Parameters
15-04-2022
15-08-2022
Required range:
x <= 100Available options:
ONRAMP, OFFRAMP Available options:
INITIATED, DEPOSITED, CONFIRMED, COMPLETED, PENDING, CANCELLED, IN_DISPUTE, AWAITING_ACCEPTANCE ⌘I